Bug 998724 - Unexpected error when requesting to join group
Unexpected error when requesting to join group
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alex Eng
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 18:04 EDT by David Mason
Modified: 2013-11-26 22:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:32:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2013-08-19 18:04:06 EDT
Description of problem:
When a user tries to request group membership, clicking the submit button causes an "Unexpected error" to be shown.

Version-Release number of selected component (if applicable):
dev

How reproducible:
Always

Steps to Reproduce:
1. Sign in as any user type to a server that has at least one group defined
2. Navigate to any group
3. Click 'Request To Join Group'
4. Click 'Send Message'

Actual results:
Error page is shown with unexpected error.

Expected results:
Return to the group page with a message that indicates the message has been sent.

Additional info:
Server stack trace:

21:57:06,572 WARNING [javax.enterprise.resource.webcontainer.jsf.lifecycle] (http-/0.0.0.0:8080-3) javax.el.ELException: /WEB-INF/layout/version_group_join.xhtml @26,217 rendered="#{!versionGroupJoinAction.isVersionInGroup(selectableVersion.projectIteration.id)}": org.hibernate.LazyInitializationException: failed to lazily initialize a collection of role: org.zanata.model.HIterationGroup.projectIterations, could not initialize proxy - no Session: javax.faces.FacesException: javax.el.ELException: /WEB-INF/layout/version_group_join.xhtml @26,217 rendered="#{!versionGroupJoinAction.isVersionInGroup(selectableVersion.projectIteration.id)}": org.hibernate.LazyInitializationException: failed to lazily initialize a collection of role: org.zanata.model.HIterationGroup.projectIterations, could not initialize proxy - no Session
	at org.richfaces.component.UIDataAdaptor.iterate(UIDataAdaptor.java:785) [richfaces-components-ui-4.3.2.Final.jar:4.3.2.Final]
	at org.richfaces.component.UIDataAdaptor.processDecodesChildren(UIDataAdaptor.java:859) [richfaces-components-ui-4.3.2.Final.jar:4.3.2.Final]
	at org.richfaces.component.UIDataAdaptor.processDecodes(UIDataAdaptor.java:821) [richfaces-components-ui-4.3.2.Final.jar:4.3.2.Final]
	at javax.faces.component.UIComponentBase.processDecodes(UIComponentBase.java:1182) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at javax.faces.component.UIForm.processDecodes(UIForm.java:225) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at javax.faces.component.UIComponentBase.processDecodes(UIComponentBase.java:1182) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at javax.faces.component.UIComponentBase.processDecodes(UIComponentBase.java:1182) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at javax.faces.component.UIViewRoot.processDecodes(UIViewRoot.java:925) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at com.sun.faces.lifecycle.ApplyRequestValuesPhase.execute(ApplyRequestValuesPhase.java:78) [jsf-impl.jar:2.1.19-redhat-1]
	at com.sun.faces.lifecycle.Phase.doPhase(Phase.java:101) [jsf-impl.jar:2.1.19-redhat-1]
	at com.sun.faces.lifecycle.LifecycleImpl.execute(LifecycleImpl.java:118) [jsf-impl.jar:2.1.19-redhat-1]
	at javax.faces.webapp.FacesServlet.service(FacesServlet.java:593) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb.jar:7.2.0.Final-redhat-1]
	at net.bull.javamelody.MonitoringFilter.doFilter(MonitoringFilter.java:163) [javamelody-core-1.41.0.jar:1.41.0]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.tuckey.web.filters.urlrewrite.RuleChain.handleRewrite(RuleChain.java:176) [urlrewritefilter-4.0.4.jar:4.0.4]
	at org.tuckey.web.filters.urlrewrite.RuleChain.doRules(RuleChain.java:145) [urlrewritefilter-4.0.4.jar:4.0.4]
	at org.tuckey.web.filters.urlrewrite.UrlRewriter.processRequest(UrlRewriter.java:92) [urlrewritefilter-4.0.4.jar:4.0.4]
	at org.tuckey.web.filters.urlrewrite.UrlRewriteFilter.doFilter(UrlRewriteFilter.java:389) [urlrewritefilter-4.0.4.jar:4.0.4]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.jboss.seam.servlet.SeamFilter$FilterChainImpl.doFilter(SeamFilter.java:83) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.web.LoggingFilter.doFilter(LoggingFilter.java:60) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.servlet.SeamFilter$FilterChainImpl.doFilter(SeamFilter.java:69) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.web.MultipartFilter.doFilter(MultipartFilter.java:90) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.servlet.SeamFilter$FilterChainImpl.doFilter(SeamFilter.java:69) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.web.ExceptionFilter.doFilter(ExceptionFilter.java:64) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.servlet.SeamFilter$FilterChainImpl.doFilter(SeamFilter.java:69) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.servlet.SeamFilter.doFilter(SeamFilter.java:158) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.zanata.seam.interceptor.MonitoringWrapper.doFilter(MonitoringWrapper.java:70) [classes:]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.zanata.servlet.GWTCacheControlFilter.doFilter(GWTCacheControlFilter.java:63) [classes:]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa.jar:7.2.0.Final-redhat-8]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa.jar:7.2.0.Final-redhat-8]
	at org.jboss.security.negotiation.NegotiationAuthenticator$WrapperValve.invoke(NegotiationAuthenticator.java:336) [jboss-negotiation-common.jar:2.2.5.Final-redhat-1]
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:389) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169) [jboss-as-web.jar:7.2.0.Final-redhat-8]
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920) [jbossweb.jar:7.2.0.Final-redhat-1]
	at java.lang.Thread.run(Thread.java:679) [rt.jar:1.6.0_24]
Caused by: javax.el.ELException: /WEB-INF/layout/version_group_join.xhtml @26,217 rendered="#{!versionGroupJoinAction.isVersionInGroup(selectableVersion.projectIteration.id)}": org.hibernate.LazyInitializationException: failed to lazily initialize a collection of role: org.zanata.model.HIterationGroup.projectIterations, could not initialize proxy - no Session
	at com.sun.faces.facelets.el.TagValueExpression.getValue(TagValueExpression.java:114) [jsf-impl.jar:2.1.19-redhat-1]
	at javax.faces.component.ComponentStateHelper.eval(ComponentStateHelper.java:194) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at javax.faces.component.UIComponentBase.isRendered(UIComponentBase.java:419) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at javax.faces.component.UIInput.processDecodes(UIInput.java:658) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at org.richfaces.component.UIDataAdaptor$2.processComponent(UIDataAdaptor.java:114) [richfaces-components-ui-4.3.2.Final.jar:4.3.2.Final]
	at org.richfaces.component.UIDataAdaptor$ComponentVisitor.process(UIDataAdaptor.java:1425) [richfaces-components-ui-4.3.2.Final.jar:4.3.2.Final]
	at org.ajax4jsf.model.SequenceDataModel.walk(SequenceDataModel.java:65) [richfaces-core-api-4.3.2.Final.jar:4.3.2.Final]
	at org.richfaces.component.UIDataAdaptor.walk(UIDataAdaptor.java:809) [richfaces-components-ui-4.3.2.Final.jar:4.3.2.Final]
	at org.richfaces.component.UIDataAdaptor.iterate(UIDataAdaptor.java:783) [richfaces-components-ui-4.3.2.Final.jar:4.3.2.Final]
	... 53 more
Caused by: org.hibernate.LazyInitializationException: failed to lazily initialize a collection of role: org.zanata.model.HIterationGroup.projectIterations, could not initialize proxy - no Session
	at org.hibernate.collection.internal.AbstractPersistentCollection.throwLazyInitializationException(AbstractPersistentCollection.java:566) [hibernate-core.jar:4.2.0.Final-redhat-1]
	at org.hibernate.collection.internal.AbstractPersistentCollection.withTemporarySessionIfNeeded(AbstractPersistentCollection.java:186) [hibernate-core.jar:4.2.0.Final-redhat-1]
	at org.hibernate.collection.internal.AbstractPersistentCollection.initialize(AbstractPersistentCollection.java:545) [hibernate-core.jar:4.2.0.Final-redhat-1]
	at org.hibernate.collection.internal.AbstractPersistentCollection.read(AbstractPersistentCollection.java:124) [hibernate-core.jar:4.2.0.Final-redhat-1]
	at org.hibernate.collection.internal.PersistentSet.iterator(PersistentSet.java:180) [hibernate-core.jar:4.2.0.Final-redhat-1]
	at org.zanata.service.impl.VersionGroupServiceImpl.isVersionInGroup(VersionGroupServiceImpl.java:164) [classes:]
	at sun.reflect.GeneratedMethodAccessor305.invoke(Unknown Source) [:1.6.0_24]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.6.0_24]
	at java.lang.reflect.Method.invoke(Method.java:616) [rt.jar:1.6.0_24]
	at org.jboss.seam.util.Reflections.invoke(Reflections.java:22) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.RootInvocationContext.proceed(RootInvocationContext.java:32) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:56) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.transaction.RollbackInterceptor.aroundInvoke(RollbackInterceptor.java:28) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.core.BijectionInterceptor.aroundInvoke(BijectionInterceptor.java:77) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.core.MethodContextInterceptor.aroundInvoke(MethodContextInterceptor.java:44) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.RootInterceptor.invoke(RootInterceptor.java:107) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.JavaBeanInterceptor.interceptInvocation(JavaBeanInterceptor.java:186) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.JavaBeanInterceptor.invoke(JavaBeanInterceptor.java:104) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.zanata.service.impl.VersionGroupServiceImpl_$$_javassist_seam_48.isVersionInGroup(VersionGroupServiceImpl_$$_javassist_seam_48.java) [classes:]
	at org.zanata.action.VersionGroupJoinAction.isVersionInGroup(VersionGroupJoinAction.java:114) [classes:]
	at sun.reflect.GeneratedMethodAccessor304.invoke(Unknown Source) [:1.6.0_24]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.6.0_24]
	at java.lang.reflect.Method.invoke(Method.java:616) [rt.jar:1.6.0_24]
	at org.jboss.seam.util.Reflections.invoke(Reflections.java:22) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.RootInvocationContext.proceed(RootInvocationContext.java:32) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:56) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.transaction.RollbackInterceptor.aroundInvoke(RollbackInterceptor.java:28) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.core.BijectionInterceptor.aroundInvoke(BijectionInterceptor.java:77) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.core.MethodContextInterceptor.aroundInvoke(MethodContextInterceptor.java:44) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.core.SynchronizationInterceptor.aroundInvoke(SynchronizationInterceptor.java:35) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.RootInterceptor.invoke(RootInterceptor.java:107) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.JavaBeanInterceptor.interceptInvocation(JavaBeanInterceptor.java:186) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.JavaBeanInterceptor.invoke(JavaBeanInterceptor.java:104) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.zanata.action.VersionGroupJoinAction_$$_javassist_seam_55.isVersionInGroup(VersionGroupJoinAction_$$_javassist_seam_55.java) [classes:]
	at sun.reflect.GeneratedMethodAccessor303.invoke(Unknown Source) [:1.6.0_24]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.6.0_24]
	at java.lang.reflect.Method.invoke(Method.java:616) [rt.jar:1.6.0_24]
	at org.jboss.el.util.ReflectionUtil.invokeMethod(ReflectionUtil.java:335) [jboss-el-1.0_02.CR6.jar:1.0_02.CR6]
	at org.jboss.el.util.ReflectionUtil.invokeMethod(ReflectionUtil.java:280) [jboss-el-1.0_02.CR6.jar:1.0_02.CR6]
	at org.jboss.el.parser.AstMethodSuffix.getValue(AstMethodSuffix.java:59) [jboss-el-1.0_02.CR6.jar:1.0_02.CR6]
	at org.jboss.el.parser.AstValue.getValue(AstValue.java:67) [jboss-el-1.0_02.CR6.jar:1.0_02.CR6]
	at org.jboss.el.parser.AstNot.getValue(AstNot.java:26) [jboss-el-1.0_02.CR6.jar:1.0_02.CR6]
	at org.jboss.el.ValueExpressionImpl.getValue(ValueExpressionImpl.java:186) [jboss-el-1.0_02.CR6.jar:1.0_02.CR6]
	at com.sun.faces.facelets.el.TagValueExpression.getValue(TagValueExpression.java:109) [jsf-impl.jar:2.1.19-redhat-1]
	... 61 more

21:57:06,638 ERROR [org.jboss.seam.exception.Exceptions] (http-/0.0.0.0:8080-3) handled and logged exception: javax.servlet.ServletException: failed to lazily initialize a collection of role: org.zanata.model.HIterationGroup.projectIterations, could not initialize proxy - no Session
	at javax.faces.webapp.FacesServlet.service(FacesServlet.java:606) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb.jar:7.2.0.Final-redhat-1]
	at net.bull.javamelody.MonitoringFilter.doFilter(MonitoringFilter.java:163) [javamelody-core-1.41.0.jar:1.41.0]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.tuckey.web.filters.urlrewrite.RuleChain.handleRewrite(RuleChain.java:176) [urlrewritefilter-4.0.4.jar:4.0.4]
	at org.tuckey.web.filters.urlrewrite.RuleChain.doRules(RuleChain.java:145) [urlrewritefilter-4.0.4.jar:4.0.4]
	at org.tuckey.web.filters.urlrewrite.UrlRewriter.processRequest(UrlRewriter.java:92) [urlrewritefilter-4.0.4.jar:4.0.4]
	at org.tuckey.web.filters.urlrewrite.UrlRewriteFilter.doFilter(UrlRewriteFilter.java:389) [urlrewritefilter-4.0.4.jar:4.0.4]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.jboss.seam.servlet.SeamFilter$FilterChainImpl.doFilter(SeamFilter.java:83) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.web.LoggingFilter.doFilter(LoggingFilter.java:60) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.servlet.SeamFilter$FilterChainImpl.doFilter(SeamFilter.java:69) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.web.MultipartFilter.doFilter(MultipartFilter.java:90) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.servlet.SeamFilter$FilterChainImpl.doFilter(SeamFilter.java:69) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.web.ExceptionFilter.doFilter(ExceptionFilter.java:64) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.servlet.SeamFilter$FilterChainImpl.doFilter(SeamFilter.java:69) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.servlet.SeamFilter.doFilter(SeamFilter.java:158) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.zanata.seam.interceptor.MonitoringWrapper.doFilter(MonitoringWrapper.java:70) [classes:]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.zanata.servlet.GWTCacheControlFilter.doFilter(GWTCacheControlFilter.java:63) [classes:]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa.jar:7.2.0.Final-redhat-8]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa.jar:7.2.0.Final-redhat-8]
	at org.jboss.security.negotiation.NegotiationAuthenticator$WrapperValve.invoke(NegotiationAuthenticator.java:336) [jboss-negotiation-common.jar:2.2.5.Final-redhat-1]
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:389) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169) [jboss-as-web.jar:7.2.0.Final-redhat-8]
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653) [jbossweb.jar:7.2.0.Final-redhat-1]
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920) [jbossweb.jar:7.2.0.Final-redhat-1]
	at java.lang.Thread.run(Thread.java:679) [rt.jar:1.6.0_24]
Caused by: org.hibernate.LazyInitializationException: failed to lazily initialize a collection of role: org.zanata.model.HIterationGroup.projectIterations, could not initialize proxy - no Session
	at org.hibernate.collection.internal.AbstractPersistentCollection.throwLazyInitializationException(AbstractPersistentCollection.java:566) [hibernate-core.jar:4.2.0.Final-redhat-1]
	at org.hibernate.collection.internal.AbstractPersistentCollection.withTemporarySessionIfNeeded(AbstractPersistentCollection.java:186) [hibernate-core.jar:4.2.0.Final-redhat-1]
	at org.hibernate.collection.internal.AbstractPersistentCollection.initialize(AbstractPersistentCollection.java:545) [hibernate-core.jar:4.2.0.Final-redhat-1]
	at org.hibernate.collection.internal.AbstractPersistentCollection.read(AbstractPersistentCollection.java:124) [hibernate-core.jar:4.2.0.Final-redhat-1]
	at org.hibernate.collection.internal.PersistentSet.iterator(PersistentSet.java:180) [hibernate-core.jar:4.2.0.Final-redhat-1]
	at org.zanata.service.impl.VersionGroupServiceImpl.isVersionInGroup(VersionGroupServiceImpl.java:164) [classes:]
	at sun.reflect.GeneratedMethodAccessor305.invoke(Unknown Source) [:1.6.0_24]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.6.0_24]
	at java.lang.reflect.Method.invoke(Method.java:616) [rt.jar:1.6.0_24]
	at org.jboss.seam.util.Reflections.invoke(Reflections.java:22) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.RootInvocationContext.proceed(RootInvocationContext.java:32) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:56) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.transaction.RollbackInterceptor.aroundInvoke(RollbackInterceptor.java:28) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.core.BijectionInterceptor.aroundInvoke(BijectionInterceptor.java:77) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.core.MethodContextInterceptor.aroundInvoke(MethodContextInterceptor.java:44) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.RootInterceptor.invoke(RootInterceptor.java:107) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.JavaBeanInterceptor.interceptInvocation(JavaBeanInterceptor.java:186) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.JavaBeanInterceptor.invoke(JavaBeanInterceptor.java:104) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.zanata.service.impl.VersionGroupServiceImpl_$$_javassist_seam_48.isVersionInGroup(VersionGroupServiceImpl_$$_javassist_seam_48.java) [classes:]
	at org.zanata.action.VersionGroupJoinAction.isVersionInGroup(VersionGroupJoinAction.java:114) [classes:]
	at sun.reflect.GeneratedMethodAccessor304.invoke(Unknown Source) [:1.6.0_24]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.6.0_24]
	at java.lang.reflect.Method.invoke(Method.java:616) [rt.jar:1.6.0_24]
	at org.jboss.seam.util.Reflections.invoke(Reflections.java:22) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.RootInvocationContext.proceed(RootInvocationContext.java:32) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:56) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.transaction.RollbackInterceptor.aroundInvoke(RollbackInterceptor.java:28) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.core.BijectionInterceptor.aroundInvoke(BijectionInterceptor.java:77) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.core.MethodContextInterceptor.aroundInvoke(MethodContextInterceptor.java:44) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.core.SynchronizationInterceptor.aroundInvoke(SynchronizationInterceptor.java:35) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.RootInterceptor.invoke(RootInterceptor.java:107) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.JavaBeanInterceptor.interceptInvocation(JavaBeanInterceptor.java:186) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.jboss.seam.intercept.JavaBeanInterceptor.invoke(JavaBeanInterceptor.java:104) [jboss-seam-2.3.0.Final.jar:2.3.0.Final]
	at org.zanata.action.VersionGroupJoinAction_$$_javassist_seam_55.isVersionInGroup(VersionGroupJoinAction_$$_javassist_seam_55.java) [classes:]
	at sun.reflect.GeneratedMethodAccessor303.invoke(Unknown Source) [:1.6.0_24]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.6.0_24]
	at java.lang.reflect.Method.invoke(Method.java:616) [rt.jar:1.6.0_24]
	at org.jboss.el.util.ReflectionUtil.invokeMethod(ReflectionUtil.java:335) [jboss-el-1.0_02.CR6.jar:1.0_02.CR6]
	at org.jboss.el.util.ReflectionUtil.invokeMethod(ReflectionUtil.java:280) [jboss-el-1.0_02.CR6.jar:1.0_02.CR6]
	at org.jboss.el.parser.AstMethodSuffix.getValue(AstMethodSuffix.java:59) [jboss-el-1.0_02.CR6.jar:1.0_02.CR6]
	at org.jboss.el.parser.AstValue.getValue(AstValue.java:67) [jboss-el-1.0_02.CR6.jar:1.0_02.CR6]
	at org.jboss.el.parser.AstNot.getValue(AstNot.java:26) [jboss-el-1.0_02.CR6.jar:1.0_02.CR6]
	at org.jboss.el.ValueExpressionImpl.getValue(ValueExpressionImpl.java:186) [jboss-el-1.0_02.CR6.jar:1.0_02.CR6]
	at com.sun.faces.facelets.el.TagValueExpression.getValue(TagValueExpression.java:109) [jsf-impl.jar:2.1.19-redhat-1]
	at javax.faces.component.ComponentStateHelper.eval(ComponentStateHelper.java:194) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at javax.faces.component.UIComponentBase.isRendered(UIComponentBase.java:419) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at javax.faces.component.UIInput.processDecodes(UIInput.java:658) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at org.richfaces.component.UIDataAdaptor$2.processComponent(UIDataAdaptor.java:114) [richfaces-components-ui-4.3.2.Final.jar:4.3.2.Final]
	at org.richfaces.component.UIDataAdaptor$ComponentVisitor.process(UIDataAdaptor.java:1425) [richfaces-components-ui-4.3.2.Final.jar:4.3.2.Final]
	at org.ajax4jsf.model.SequenceDataModel.walk(SequenceDataModel.java:65) [richfaces-core-api-4.3.2.Final.jar:4.3.2.Final]
	at org.richfaces.component.UIDataAdaptor.walk(UIDataAdaptor.java:809) [richfaces-components-ui-4.3.2.Final.jar:4.3.2.Final]
	at org.richfaces.component.UIDataAdaptor.iterate(UIDataAdaptor.java:783) [richfaces-components-ui-4.3.2.Final.jar:4.3.2.Final]
	at org.richfaces.component.UIDataAdaptor.processDecodesChildren(UIDataAdaptor.java:859) [richfaces-components-ui-4.3.2.Final.jar:4.3.2.Final]
	at org.richfaces.component.UIDataAdaptor.processDecodes(UIDataAdaptor.java:821) [richfaces-components-ui-4.3.2.Final.jar:4.3.2.Final]
	at javax.faces.component.UIComponentBase.processDecodes(UIComponentBase.java:1182) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at javax.faces.component.UIForm.processDecodes(UIForm.java:225) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at javax.faces.component.UIComponentBase.processDecodes(UIComponentBase.java:1182) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at javax.faces.component.UIComponentBase.processDecodes(UIComponentBase.java:1182) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at javax.faces.component.UIViewRoot.processDecodes(UIViewRoot.java:925) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	at com.sun.faces.lifecycle.ApplyRequestValuesPhase.execute(ApplyRequestValuesPhase.java:78) [jsf-impl.jar:2.1.19-redhat-1]
	at com.sun.faces.lifecycle.Phase.doPhase(Phase.java:101) [jsf-impl.jar:2.1.19-redhat-1]
	at com.sun.faces.lifecycle.LifecycleImpl.execute(LifecycleImpl.java:118) [jsf-impl.jar:2.1.19-redhat-1]
	at javax.faces.webapp.FacesServlet.service(FacesServlet.java:593) [jboss-jsf-api_2.1_spec.jar:2.1.19.1.Final-redhat-1]
	... 42 more
Comment 1 Damian Jansen 2013-08-27 21:39:53 EDT
Verified at 162f2ab4a3a1dbda8fdc738591368c145a350543
Comment 2 Sean Flanigan 2013-11-26 22:32:05 EST
Closing VERIFIED bugs which predate Zanata 3.1.2.

Note You need to log in before you can comment on or make changes to this bug.